> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Count



## OpenAPI

````yaml /openapi.json post /search/count
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /search/count:
    post:
      tags:
        - search
      summary: Count
      operationId: SearchController_count
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CountInputBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CountOutput'
components:
  schemas:
    CountInputBody:
      type: object
      properties:
        includeAllBranches:
          type: boolean
          description: >-
            Search all branches regardless of their type and status. false =
            look only at BASE branch
          default: true
        excludeBaseBranch:
          type: boolean
          default: false
        timeZone:
          type: string
          description: >-
            This timezone is used in case no offset is specified in date filters
            values (ex: if 2021-01-01 or 2021-01-01T00:00:00 are provided, the
            timezone option is used to convert it to a UTC date)
          default: UTC
        textSearchDepth:
          type: number
          description: >-
            [EXPERIMENTAL] The number of relations text search filters are
            checked against (exponential impact on performances)
          default: 0
          minimum: 0
          maximum: 3
        entityType:
          type: string
          enum:
            - PAYMENT_METHOD
            - PAYMENT
            - POLICY
            - CUSTOMER
            - ASSET
            - INVOICE
            - DOCUMENT
            - SIGNATURE
            - TENANT
            - PRODUCT
            - QUOTE
            - BROKERAGE_FIRM
            - CLAIM
            - EXTERNAL_SERVICE
            - NOTIFICATION
            - PREMIUM_SCHEDULE
            - CHECK
            - ALERT
            - DISTRIBUTION_REQUEST
            - DEROGATION
            - BROKERAGE_FEE
            - COMMENT
            - CONVERSATION
            - CONVERSATION_MESSAGE
        where:
          $ref: '#/components/schemas/LogicalCondition'
      required:
        - entityType
        - where
    CountOutput:
      type: object
      properties:
        count:
          type: number
      required:
        - count
    LogicalCondition:
      type: object
      properties:
        AND:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/PropertyCondition'
              - $ref: '#/components/schemas/RelationCondition'
              - $ref: '#/components/schemas/LogicalCondition'
              - $ref: '#/components/schemas/FullTextSearchCondition'
        OR:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/PropertyCondition'
              - $ref: '#/components/schemas/RelationCondition'
              - $ref: '#/components/schemas/LogicalCondition'
              - $ref: '#/components/schemas/FullTextSearchCondition'
    PropertyCondition:
      type: object
      properties:
        includeAllBranches:
          type: boolean
          description: >-
            Search all branches regardless of their type and status. false =
            look only at BASE branch
          default: true
        excludeBaseBranch:
          type: boolean
          default: false
        timeZone:
          type: string
          description: >-
            This timezone is used in case no offset is specified in date filters
            values (ex: if 2021-01-01 or 2021-01-01T00:00:00 are provided, the
            timezone option is used to convert it to a UTC date)
          default: UTC
        textSearchDepth:
          type: number
          description: >-
            [EXPERIMENTAL] The number of relations text search filters are
            checked against (exponential impact on performances)
          default: 0
          minimum: 0
          maximum: 3
        property:
          type: string
        value:
          oneOf:
            - $ref: '#/components/schemas/OpEquals'
            - $ref: '#/components/schemas/OpGt'
            - $ref: '#/components/schemas/OpLt'
            - $ref: '#/components/schemas/OpGte'
            - $ref: '#/components/schemas/OpLte'
            - $ref: '#/components/schemas/OpContains'
            - $ref: '#/components/schemas/OpStartsWith'
            - $ref: '#/components/schemas/OpEndsWith'
            - $ref: '#/components/schemas/OpIn'
      required:
        - property
        - value
    RelationCondition:
      type: object
      properties:
        includeAllBranches:
          type: boolean
          description: >-
            Search all branches regardless of their type and status. false =
            look only at BASE branch
          default: true
        excludeBaseBranch:
          type: boolean
          default: false
        timeZone:
          type: string
          description: >-
            This timezone is used in case no offset is specified in date filters
            values (ex: if 2021-01-01 or 2021-01-01T00:00:00 are provided, the
            timezone option is used to convert it to a UTC date)
          default: UTC
        textSearchDepth:
          type: number
          description: >-
            [EXPERIMENTAL] The number of relations text search filters are
            checked against (exponential impact on performances)
          default: 0
          minimum: 0
          maximum: 3
        property:
          type: string
        every:
          $ref: '#/components/schemas/LogicalCondition'
        some:
          $ref: '#/components/schemas/LogicalCondition'
        none:
          $ref: '#/components/schemas/LogicalCondition'
        id:
          type: string
      required:
        - property
    FullTextSearchCondition:
      type: object
      properties:
        includeAllBranches:
          type: boolean
          description: >-
            Search all branches regardless of their type and status. false =
            look only at BASE branch
          default: true
        excludeBaseBranch:
          type: boolean
          default: false
        timeZone:
          type: string
          description: >-
            This timezone is used in case no offset is specified in date filters
            values (ex: if 2021-01-01 or 2021-01-01T00:00:00 are provided, the
            timezone option is used to convert it to a UTC date)
          default: UTC
        textSearchDepth:
          type: number
          description: >-
            [EXPERIMENTAL] The number of relations text search filters are
            checked against (exponential impact on performances)
          default: 0
          minimum: 0
          maximum: 3
        property:
          type: string
        everyWords:
          type: array
          items:
            type: string
        someWords:
          type: array
          items:
            type: string
        noneWords:
          type: array
          items:
            type: string
    OpEquals:
      type: object
      properties:
        equals:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - format: date-time
              type: string
      required:
        - equals
    OpGt:
      type: object
      properties:
        gt:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - format: date-time
              type: string
      required:
        - gt
    OpLt:
      type: object
      properties:
        lt:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - format: date-time
              type: string
      required:
        - lt
    OpGte:
      type: object
      properties:
        gte:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - format: date-time
              type: string
      required:
        - gte
    OpLte:
      type: object
      properties:
        lte:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - format: date-time
              type: string
      required:
        - lte
    OpContains:
      type: object
      properties:
        contains:
          type: string
      required:
        - contains
    OpStartsWith:
      type: object
      properties:
        startsWith:
          type: string
      required:
        - startsWith
    OpEndsWith:
      type: object
      properties:
        endsWith:
          type: string
      required:
        - endsWith
    OpIn:
      type: object
      properties:
        in:
          type: array
          items:
            oneOf:
              - type: string
              - type: number
              - type: boolean
              - format: date-time
                type: string
      required:
        - in

````